%global srcname msrestazure
%global common_description %{summary}.

# Ignore bytecode compilation errors with Python 2 (since the library provides
# some Python 3-only files)
%global _python_bytecompile_errors_terminate_build 0

%global adal_min_version 0.6.0
%global msrest_min_version 0.6.0

Name:           python-%{srcname}
Version:        0.6.1
Release:        1%{?dist}
Summary:        The runtime library "msrestazure" for AutoRest generated Python clients

License:        MIT
URL:            https://github.com/Azure/msrestazure-for-python
Source0:        %{url}/archive/v%{version}/%{srcname}-%{version}.tar.gz

BuildRequires:  python-devel
BuildRequires:  python-setuptools
BuildArch:      noarch

%description
%{common_description}


%package -n python2-%{srcname}
Summary:        %{summary}
Requires:       python-adal >= %{adal_min_version}
Requires:       python-msrest >= %{msrest_min_version}
%{?python_provide:%python_provide python2-%{srcname}}

%description -n python2-%{srcname}
%{common_description}


%prep
%autosetup -n %{srcname}-for-python-%{version}


%build
%py2_build


%install
%py2_install


%files -n python2-%{srcname}
%doc README.rst
%license LICENSE.md
%{python2_sitelib}/%{srcname}/
%{python2_sitelib}/%{srcname}-*.egg-info/


%changelog
* Fri Aug 09 2019 Mohamed El Morabity <melmorabity@fedoraproject.org> - 0.6.1-1
- Update to 0.6.1

* Mon Feb 04 2019 Mohamed El Morabity <melmorabity@fedoraproject.org> - 0.6.0-1
- Initial RPM release
